## speech-dispatcher 0.6.1

=== src/python/Makefile ===

all:

install:
	if test -x /usr/bin/python; then \
		./setup.py install; \
	else \
	echo "Python not found, not installing speechd module"; \
	fi

uninstall:

clean:
	rm -f *.pyc

distclean: clean

distdir:


check:
