## speech-dispatcher 0.6.6

=== src/python/Makefile ===

prefix = /usr/local

all:

install:
	if test -x /usr/bin/python; then \
		./setup.py install --prefix=$(prefix); \
	else \
	echo "Python not found, not installing speechd module"; \
	fi

uninstall:

clean:
	rm -f *.pyc
	rm -rf build

distclean: clean

distdir:


check:
