## speech-dispatcher 0.7

=== debian/changelog ===
speech-dispatcher (0.7-6.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Milan Zamazal ]
  * Fix logrotate script breaking logrotate configuration of other
    packages; closes: #611711.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Feb 2011 18:52:50 +0100

speech-dispatcher (0.7-6) unstable; urgency=low

  * Make flite output working again; thanks to Samuel Thibault
    <sthibault@debian.org>; closes: #603897.

 -- Milan Zamazal <pdm@debian.org>  Fri, 26 Nov 2010 13:27:07 +0100

speech-dispatcher (0.7-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/debian-changes-0.7-5: Leave -lpthread in the
    libspeech-dispatcher link line, drop it from tests; closes: #597947.
  * debian/control: Make speech-dispatcher recommend pulseaudio as this is now
    the default configuration; closes: #593968.
  * debian/README.Debian: Mention that the SPEECHD_SOCKET variable also needs
    to be set to revert to system-wide behavior.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Sep 2010 16:17:19 +0200

speech-dispatcher (0.7-5) unstable; urgency=low

  * Move Python build dependencies from Build-Depends-Indep to Build-Depends;
    closes: #588107.
  * Standards 3.9.0 (no real change).
  
 -- Milan Zamazal <pdm@debian.org>  Wed, 07 Jul 2010 13:12:13 +0200

speech-dispatcher (0.7-4) unstable; urgency=low

  * Default AudioOutputMethod changed to "pulse" to prevent blocking audio
    output; information to README.Debian added.

 -- Milan Zamazal <pdm@debian.org>  Fri, 02 Jul 2010 18:55:49 +0200

speech-dispatcher (0.7-3) unstable; urgency=low

  * Paths in python-speechd adjusted to match Debian installation.
  * Package priorities set to match override entries.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 Jun 2010 14:01:03 +0200

speech-dispatcher (0.7-2) unstable; urgency=low

  * Link speech-dispatcher log location to /var/log/speech-dispatcher/, if
    it doesn't exist yet.
  * Permit access to speech-dispatcher socket to `audio' group.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 Jun 2010 12:11:16 +0200

speech-dispatcher (0.7-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Versioned build dependency on flite-dev.
  * Don't start Speech Dispatcher by default; closes: #577217.
  * Standards 3.8.4 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 19 Jun 2010 09:08:43 +0200

speech-dispatcher (0.6.7-9) unstable; urgency=low

  * Fix init.d dependencies, thanks to Petter Reinholdtsen <pere@hungry.com>;
    closes: #582167.
  * Fix FTBFS on flite.c, thanks to Andres Mejia <mcitadel@gmail.com>;
    closes: #577896.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 May 2010 19:33:21 +0200

speech-dispatcher (0.6.7-8) unstable; urgency=low

  * Link spd-say to libpthread; closes: #556369.

 -- Milan Zamazal <pdm@debian.org>  Mon, 23 Nov 2009 13:33:58 +0100

speech-dispatcher (0.6.7-7) unstable; urgency=low

  * Move cl-speech-dispatcher to section lisp.

 -- Milan Zamazal <pdm@debian.org>  Mon, 09 Nov 2009 10:50:24 +0100

speech-dispatcher (0.6.7-6) unstable; urgency=low

  * Change priority back to optional as optional mumble package depends on
    libspeechd2.
  * postinst: Don't call adduser with --no-create-home; closes: #554851.
  * postrm: Force removal of /var/run/speech-dispatcher.

 -- Milan Zamazal <pdm@debian.org>  Mon, 09 Nov 2009 09:56:39 +0100

speech-dispatcher (0.6.7-5) unstable; urgency=low

  * Apply getline conflict patch from Luke Yelavich's unofficial
    repository; closes: #552889.
  * init script: Create /var/run/speech-dispatcher/ directory if it
    doesn't exist.
  * init script: Call `start-stop-daemon --start' with --oknodo.
  * postinst: Don't create speech-dispatcher home directory.
  * README.source added. 
  * debian/rules: Actually pass MAKEFLAGS and other variables to make
    invocations.
  * debian/rules: Don't override prefix on install, use DESTDIR instead.
  * Standards 3.8.3.
  * Updated to debhelper 7.
  * debian/control: Add ${misc:Depends}.
  * Don't use full paths in the maintainer scripts.
  * Move the memory leak fix patch to dpatch.

 -- Milan Zamazal <pdm@debian.org>  Mon, 02 Nov 2009 14:12:08 +0100

speech-dispatcher (0.6.7-4) unstable; urgency=low

  * Upload to unstable.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Mar 2009 14:25:29 +0100

speech-dispatcher (0.6.7-3) experimental; urgency=low

  * Fix memory leak on connection error in libspeechd.  Thanks to Mario
    Lang <mlang@debian.org>.  Closes: #509533.

 -- Milan Zamazal <pdm@debian.org>  Tue, 23 Dec 2008 10:21:16 +0100

speech-dispatcher (0.6.7-2) experimental; urgency=low

  * Main log file name changed back to `speech-dispatcher.log' everywhere.
  * Upload to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Fri, 24 Oct 2008 20:38:30 +0200

speech-dispatcher (0.6.7-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Aug 2008 21:27:14 +0200

speech-dispatcher (0.6.7~rc1-1) unstable; urgency=low

  * New upstream version (pre-release).
  * DEB_BUILD_OPTIONS setup updated as described in the current policy.
  * `Homepage' control field added.
  * Standards 3.8.0.

 -- Milan Zamazal <pdm@brailcom.org>  Sun, 13 Jul 2008 16:58:37 +0200

speech-dispatcher (0.6.6-2) unstable; urgency=low

  * Don't rmdir python-speechd/usr/lib, build depend on
    python-central >= 0.6 instead; closes: #472029.
  * config.{guess,sub} updated.

 -- Milan Zamazal <pdm@debian.org>  Fri, 21 Mar 2008 21:39:17 +0100

speech-dispatcher (0.6.6-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.7.3 (no real change).
  * Remove trailing stars in debian/patches/00list.
  * Don't create /usr/lib/speech-dispatcher in libspeechd2.
  * Don't create /usr/share/festival in speech-dispatcher.
  * speech-dispatcher.7 man page formal fixes.
  * Descriptions added to Debian patches.

