=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), libestools-dev, festival-dev, autotools-dev, libtool, texinfo, libasound2-dev [i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], libaudio-dev, libxau-dev, libespeak-dev, libpulse-dev, automake, python, python-central (>= 0.6)
XS-Python-Version: all
Homepage: http://www.freebsoft.org/speechd
Standards-Version: 3.9.0

Package: speech-dispatcher
Architecture: any
Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version})
Conflicts: libspeechd1 (<< 0.5)
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libspeechd0 (>= 0.3)
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a shared library needed for C programs linked with it.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Priority: extra
Depends: common-lisp-controller, cl-regex, ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python-speechd
Architecture: all
Section: python
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: all
Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
Recommends: sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 This package contains dependencies on packages necessary for running Speech
 Dispatcher with Festival.

Package: speech-dispatcher-doc-cs
Architecture: all
Section: doc
Priority: extra
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher documentation in Czech
 Speech Dispatcher provides a device independent layer for speech synthesis.
