## speech-dispatcher 0.7.1

=== debian/changelog ===
speech-dispatcher (0.7.1-6ubuntu3) precise; urgency=low

  * debian/speech-dispatcher.postinst: Make sure speech-dispatcher is not
    enabled as a system service for users upgrading from lucid. The code
    in question has been dropped, and should have been done so a long time
    ago, at least for Ubuntu. (LP: #914575)
  * Tweak gbp.conf for precise
  * debian/rules: Do not re-run the configure script as a dependency of the
    clean target. It is not needed, and makes dealing with packaging in git
    a pain.
  * Do not copy fresh copies of config.{sub,guess}, we run autoreconf.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 06 Feb 2012 13:48:00 +1100

speech-dispatcher (0.7.1-6ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 19:01:31 -0700

speech-dispatcher (0.7.1-6ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Dont build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps

  [ Boris Dušek ]
  * debian/gbp.conf: Adjust for the Ubuntu git branch

  [ Luke Yelavich ]
  * Use dh_autoreconf rather than running build.sh
  * Add symbols file for libspeechd2
  * Need to run dh_makeshlibs for speech-dispatcher so that
    speech-dispatcher-flite can find the audio output library

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 06 Jun 2011 12:08:39 +1000

speech-dispatcher (0.7.1-6) unstable; urgency=low

  [ Boris Dušek ]
  * Fix description of libspeechd-dev package.
  * Add manpages for spd-conf, spd-say and speech-dispatcher; closes: #598569.
  * Correctly use execlp to specify module image name; closes: #579283.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.2 (no change needed)

  [ Boris Dušek ]
  * Use debhelper files as much as possible.  This should make merges between
    Debian and Ubuntu packages easier.
  * Do not ship documentation changelog as the main changelog.
  * Move libsdaudio.{a,so} files to the development package.
  * Add support for pico using generic module; closes: #601395.
  * Add Vcs-* information to debian/control.
  * Update upstream homepage.
  * Transition to dh_python2; closes: #617070.
  * Remove explicit libspeechd2 maintainer scripts; dh_makeshlibs
    generates them

 -- Boris Dušek <dusek@brailcom.org>  Mon, 25 Apr 2011 19:20:55 +0200

speech-dispatcher (0.7.1-5) unstable; urgency=low

  * Add speech-dispatcher-dbg package with debugging symbols.

 -- Boris Dušek <dusek@brailcom.org>  Fri, 04 Mar 2011 11:30:12 +0100

speech-dispatcher (0.7.1-4) unstable; urgency=low

  * New maintainer.
  * Fix logrotate script breaking logrotate configuration of other
    packages.

 -- Boris Dušek <dusek@brailcom.org>  Tue, 01 Mar 2011 23:31:59 +0100

speech-dispatcher (0.7.1-3) experimental; urgency=low

  * debian/rules: Run make in src/python/; closes: #604542.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Mon, 22 Nov 2010 19:55:19 +0100

speech-dispatcher (0.7.1-2) experimental; urgency=low

  * Squeeze NMU by Samuel Thibault incorporated.
  * libao-dev added to build dependencies; closes: #597964.
  * Patch by Samuel Thibault <sthibault@debian.org> to prevent infinite
    loop on some backend failures.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Fri, 01 Oct 2010 16:29:38 +0200

speech-dispatcher (0.7.1-1) experimental; urgency=low

  * New upstream version.
  * *.la file removed from libspeechd-dev.
  * Standards 3.9.1.
  * Upload to experimental because squeeze is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Mon, 13 Sep 2010 16:48:58 +0200

speech-dispatcher (0.7.1-0ubuntu3) natty; urgency=low

  * Rebuild for python2.7, don't hard-code 2.6 in the install files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jan 2011 16:43:18 +0100

speech-dispatcher (0.7.1-0ubuntu2) natty; urgency=low

  * debian/rules: Set the start/stop runlevels to be the same as in the init
    script LSB header, thanks to kvdveer for the patch (LP: #671541)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 05 Nov 2010 15:10:37 -0400

speech-dispatcher (0.7.1-0ubuntu1) natty; urgency=low

  [ Luke Yelavich ]
  * Merge from debian unstable.  Remaining changes:
    - Python-speechd should depend on speech-dispatcher
    - Moved the flite output module to a separate package, and added
      it to suggests
    - Use cdbs for package build, cleaner to maintain
  * Set-PulseAudio-media-role-to-a11y.patch: Drop, not accepted upstream

  [ Boris Dusek ]
  * New upstream release
  * debian/patches/fix-mbrola-voice-path.patch: Fix path to mbrola voices
    in configuration file template to match that in Ubuntu
  * debian/patches/paths+files.patch: rebased on upstream (partially fixed)
  * debian/patches/python-makefile.patch: drop, obsolete
  * debian/patches/pulse-only.patch: drop, fixed
  * debian/patches/flite-1.4-fix.patch: drop, fixed
  * debian/patches/extlink.patch: drop, fixed
  * debian/patches/python-makefile.patch: rebased on upstream
  * quieten-logfiles.patch: drop, LogLevel 3 was revised upstream to
    include less information
  * disable-modules.patch: drop, unnecessary: declaring a non-existing
    synthesizer when a previously declared one works does nothing
  * pulse-endianness.patch: drop, fixed

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 18 Oct 2010 11:00:42 +1100

speech-dispatcher (0.7-5ubuntu3) maverick; urgency=low

  * debian/patches/Set-PulseAudio-media-role-to-a11y.patch: Patch to set
    Speech Dispatcher's media role, sent up stream.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 12 Aug 2010 15:45:46 +1000

speech-dispatcher (0.7-5ubuntu2) maverick; urgency=low

  * debian/patches/fix-broken-spdconf.patch: Replace with correct fix from

