=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility@lists.ubuntu.com>
XSBC-Original-Maintainer: Boris Dušek <dusek@brailcom.org>
Build-Depends: debhelper (>> 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), autotools-dev, libtool, texinfo, libasound2-dev [linux-any], libxau-dev, libespeak-dev, libpulse-dev, automake, python (>=2.6.6-12), dh-autoreconf
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/speech-dispatcher.git;a=shortlog;h=refs/heads/ubuntu
Vcs-Git: git://git.debian.org/pkg-a11y/speech-dispatcher.git
Homepage: http://devel.freebsoft.org/speechd
Standards-Version: 3.9.2

Package: speech-dispatcher
Architecture: any
Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version}), libttspico-utils, speech-dispatcher-flite (= ${source:Version})
Conflicts: libspeechd1 (<< 0.5)
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libspeechd0 (>= 0.3)
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains static library, and C headers needed for programs
 linked with the shared or static library.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Priority: extra
Depends: common-lisp-controller, cl-regex, ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python-speechd
Architecture: all
Section: python
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: all
Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
Recommends: sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains dependencies on packages necessary for running Speech
 Dispatcher with Festival.

Package: speech-dispatcher-doc-cs
Architecture: all
Section: doc
Priority: extra
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: speech-dispatcher
Description: Speech Dispatcher documentation in Czech
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Czech documentation of Speech Dispatcher.

Package: speech-dispatcher-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech Dispatcher: Flite output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the flite speech synthesizer.

Package: speech-dispatcher-dbg
Architecture: any
Section: debug
Priority: extra
Depends: speech-dispatcher (= ${binary:Version}), libspeechd2 (= ${binary:Version}), ${misc:Depends}
Description: Speech Dispatcher debugging symbols
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the debugging symbols for Speech Dispatcher.
