=== debian/control ===
--- 
+++ 
@@ -1,20 +1,48 @@
 Source: speech-dispatcher
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boris Dušek <dusek@brailcom.org>
-Build-Depends: debhelper (>> 7), libglib2.0-dev, libdotconf-dev, flite1-dev (>= 1.4), autotools-dev, libtool, texinfo, libasound2-dev [linux-any], libxau-dev, libespeak-dev, libpulse-dev, automake, python (>=2.6.6-12), dh-autoreconf
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/speech-dispatcher.git;a=shortlog;h=refs/heads/ubuntu
-Vcs-Git: git://git.debian.org/pkg-a11y/speech-dispatcher.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
+Uploaders:
+ Paul Gevers <elbrus@debian.org>
+Build-Depends:
+ automake,
+ autotools-dev,
+ debhelper (>= 9),
+ dh-autoreconf,
+ flite1-dev (>= 1.4),
+ intltool,
+ libasound2-dev [linux-any],
+ libdotconf-dev,
+ libespeak-dev,
+ libglib2.0-dev,
+ libltdl-dev,
+ libpulse-dev,
+ libtool,
+ libxau-dev,
+ python3,
+ texinfo
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tts/speech-dispatcher.git;a=summary
+Vcs-Git: git://anonscm.debian.org/tts/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
-Standards-Version: 3.9.2
+X-Python-Version: >= 3.0
+Standards-Version: 3.9.5
 
 Package: speech-dispatcher
 Architecture: any
-Depends: adduser, lsb-base (>= 3.0-10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
-Recommends: pulseaudio
-Suggests: speech-dispatcher-festival (= ${source:Version}), speech-dispatcher-doc-cs (= ${source:Version}), libttspico-utils, speech-dispatcher-flite (= ${source:Version})
-Conflicts: libspeechd1 (<< 0.5)
+Depends:
+ adduser,
+ lsb-base (>= 3.0-10),
+ speech-dispatcher-audio-plugins (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ pulseaudio
+Suggests:
+ libttspico-utils,
+ speech-dispatcher-doc-cs,
+ speech-dispatcher-festival,
+ speech-dispatcher-flite
 Description: Common interface to speech synthesizers
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -30,9 +58,14 @@
 
 Package: libspeechd2
 Architecture: any
+Multi-arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libspeechd0 (>= 0.3)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ multiarch-support,
+ ${misc:Pre-Depends}
 Description: Speech Dispatcher: Shared libraries
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -50,8 +83,11 @@
 Architecture: any
 Section: libdevel
 Priority: extra
-Depends: libspeechd2 (= ${binary:Version}), ${misc:Depends}
-Suggests: speech-dispatcher
+Depends:
+ libspeechd2 (= ${binary:Version}),
+ ${misc:Depends}
+Suggests:
+ speech-dispatcher
 Description: Speech Dispatcher: Development libraries and header files
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -70,7 +106,10 @@
 Architecture: all
 Section: lisp
 Priority: extra
-Depends: common-lisp-controller, cl-regex, ${misc:Depends}
+Depends:
+ cl-regex,
+ common-lisp-controller,
+ ${misc:Depends}
 Description: Common Lisp interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -85,11 +124,18 @@
  This package contains a Common Lisp library for communication with Speech
  Dispatcher.
 
-Package: python-speechd
+Package: python3-speechd
 Architecture: all
 Section: python
 Priority: extra
-Depends: ${python:Depends}, ${misc:Depends}
+Breaks:
+ python-speechd
+Replaces:
+ python-speechd
+Depends:
+ python3-xdg,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Python interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -105,9 +151,19 @@
  Dispatcher.
 
 Package: speech-dispatcher-festival
-Architecture: all
-Depends: speech-dispatcher (>= 0.6), festival, festival-freebsoft-utils (>= 0.6), ${misc:Depends}
-Recommends: sound-icons
+Architecture: any
+Depends:
+ festival,
+ festival-freebsoft-utils (>= 0.6),
+ speech-dispatcher (>= 0.6),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ speech-dispatcher (<< 0.8)
+Replaces:
+ speech-dispatcher (<< 0.8)
+Recommends:
+ sound-icons
 Description: Festival support for Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -126,8 +182,10 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: speech-dispatcher
+Depends:
+ ${misc:Depends}
+Suggests:
+ speech-dispatcher
 Description: Speech Dispatcher documentation in Czech
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -143,7 +201,9 @@
 
 Package: speech-dispatcher-flite
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Speech Dispatcher: Flite output module
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -161,7 +221,11 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: speech-dispatcher (= ${binary:Version}), libspeechd2 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libspeechd2 (= ${binary:Version}),
+ speech-dispatcher (= ${binary:Version}),
+ speech-dispatcher-festival (= ${binary:Version}),
+ ${misc:Depends}
 Description: Speech Dispatcher debugging symbols
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -174,3 +238,28 @@
  having to yet again reinvent the wheel.
  .
  This package contains the debugging symbols for Speech Dispatcher.
+
+Package: speech-dispatcher-audio-plugins
+Architecture: any
+Multi-arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ multiarch-support
+Breaks:
+ speech-dispatcher (<< 0.8-1)
+Replaces:
+ speech-dispatcher (<< 0.8-1)
+Description: Speech Dispatcher: Audio output plugins
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains all the speech-dispatcher audio output plugins.
